# Cytomine-python-client

All data available from the Cytomine graphical interface can be manipulated programmatically from your computer. This page introduces the key concepts on how to interact with Cytomine without this graphical interface. Cytomine is a RESTful application. 
It means that the data stored and managed by Cytomine can be obtained through specific URLs. Contrary to the graphical interface, these URLs only provide relevant information data.

To ease interaction with Cytomine, the **Cytomine API client for Python** encapsulates all the technical details relative to the HTTP API so that you can manipulate Cytomine resources without complexity.

## Install

```
pip install cytomine-python-client
```

For versions lower than `2.3.4`, refer to [manual installation guide](https://doc.cytomine.com/dev-guide/clients/python/installation).

## Documentation
* [How to interact with Cytomine programmatically introduction](https://doc.cytomine.com/dev-guide/api/)
* [How to use the API client for Python](https://doc.cytomine.com/dev-guide/clients/python/usage)

## Examples
* [Detailed examples detailed step by step](https://doc.cytomine.com/dev-guide/clients/python/examples)
* [Examples source code](https://github.com/cytomine/Cytomine-python-client/tree/master/client/examples)


# More about Cytomine
* [Cytomine Corporation SA](https://cytomine.com)
* [Cytomine documentation](https://doc.cytomine.com)
